Data Fields
acc_detector_distance_result_t Struct Reference
Distance Detector

Distance Detector result returned from acc_detector_distance_process. More...

`#include <acc_detector_distance.h>`

## Data Fields
float | distances [(10U)]
float | strengths [(10U)]
uint8_t | num_distances
bool | near_start_edge_status
bool | calibration_needed
int16_t | temperature
acc_processing_result_t * | processing_result
acc_processing_metadata_t * | processing_metadata
const acc_config_t * | sensor_config

## Detailed Description

Distance Detector result returned from acc_detector_distance_process.

Examples
  example_detector_distance.c, example_detector_distance_calibration_caching.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, and ref_app_tank_level.c.

Definition at line 48 of file acc_detector_distance.h.

## Field Documentation

## ◆ calibration_needed

bool acc_detector_distance_result_t::calibration_needed

Indication of calibration needed.

Is set if the temperature has changed by at least 15 degrees Celsius from the temperature at calibration.

If true:

- The sensor calibration needs to be redone by calling acc_sensor_calibrate
- The Detector calibration needs to be updated by calling acc_detector_distance_update_calibration

Examples
  ref_app_tank_level.c.

Definition at line 87 of file acc_detector_distance.h.

## ◆ distances

float acc_detector_distance_result_t::distances[(10U)]

Estimated distances (m).

Sorted according to the selected peak sorting strategy.

Examples
  ref_app_tank_level.c.

Definition at line 55 of file acc_detector_distance.h.

## ◆ near_start_edge_status

bool acc_detector_distance_result_t::near_start_edge_status

Indication of an object close to the start edge, located outside of the measurement range.

Examples
  ref_app_tank_level.c.

Definition at line 75 of file acc_detector_distance.h.

## ◆ num_distances

uint8_t acc_detector_distance_result_t::num_distances

The number of valid distances in the distances array.

Corresponds to the number of detected objects according to the threshold method. If 0, no objects were detected.

Examples
  ref_app_tank_level.c.

Definition at line 70 of file acc_detector_distance.h.

## ◆ processing_metadata

acc_processing_metadata_t* acc_detector_distance_result_t::processing_metadata

Metadata for the processing result

Note: The processing metedata is only valid until the next time acc_detector_distance_process is called.

Definition at line 113 of file acc_detector_distance.h.

## ◆ processing_result

acc_processing_result_t* acc_detector_distance_result_t::processing_result

Processing result, including IQ data, that the Distance detection is based on.

This will point to memory in the buffer supplied to acc_detector_distance_process

Note: The processing result is only valid until the next time acc_detector_distance_process is called.

Definition at line 105 of file acc_detector_distance.h.

## ◆ sensor_config

const acc_config_t* acc_detector_distance_result_t::sensor_config

The sensor_config used for the processing result

Note: The sensor_config is only valid until the next time acc_detector_distance_process is called.

Definition at line 121 of file acc_detector_distance.h.

## ◆ strengths

float acc_detector_distance_result_t::strengths[(10U)]

Estimated reflector strengths (dB).

Corresponds to the peak amplitude of the estimated distances.

Definition at line 62 of file acc_detector_distance.h.

## ◆ temperature

int16_t acc_detector_distance_result_t::temperature

Temperature in sensor during measurement (in degree Celsius).

Note that it has poor absolute accuracy and should only be used for relative temperature measurements.

Definition at line 95 of file acc_detector_distance.h.

The documentation for this struct was generated from the following file:

- Inc/acc_detector_distance.h